<?php

declare(strict_types=1);

namespace App\CreatorsApi\Model;

final class Price
{
    public function __construct(
        private float $amount,
        private string $currency,
        private bool $available = true
    ) {
    }

    public function getAmount(): float
    {
        return $this->amount;
    }

    public function getCurrency(): string
    {
        return $this->currency;
    }

    public function isAvailable(): bool
    {
        return $this->available;
    }
}
